Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInterpolatingSubdivisionFilter Class Reference

`#include <vtkInterpolatingSubdivisionFilter.h>`

Inheritance diagram for vtkInterpolatingSubdivisionFilter:

[legend]
Collaboration diagram for vtkInterpolatingSubdivisionFilter:

[legend]
List of all members.

## Detailed Description

generate a subdivision surface using an Interpolating Scheme

Date:
  2002/09/03 12:52:23

Revision:
  1.16

vtkInterpolatingSubdivisionFilter is an abstract class that defines the protocol for interpolating subdivision surface filters.

Thanks:
  This work was supported by PHS Research Grant No. 1 P41 RR13218-01 from the National Center for Research Resources.

See also:
  vtkLinearSubdivisionFilter vtkButterflySubdivisionFilter

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (79%)
  - Henderson, Amy (10%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkInterpolatingSubdivisionFilter.h)`
  - .`cxx` (`/Graphics/vtkInterpolatingSubdivisionFilter.cxx)`

Definition at line 58 of file vtkInterpolatingSubdivisionFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetNumberOfSubdivisions (int)
virtual int | GetNumberOfSubdivisions ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkInterpolatingSubdivisionFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInterpolatingSubdivisionFilter ()
| ~vtkInterpolatingSubdivisionFilter ()
void | Execute ()
virtual void | GenerateSubdivisionPoints (vtkPolyData *inputDS, vtkIntArray *edgeData, vtkPoints *outputPts, vtkPointData *outputPD)=0
void | GenerateSubdivisionCells (vtkPolyData *inputDS, vtkIntArray *edgeData, vtkCellArray *outputPolys, vtkCellData *outputCD)
int | FindEdge (vtkPolyData *mesh, vtkIdType cellId, vtkIdType p1, vtkIdType p2, vtkIntArray *edgeData, vtkIdList *cellIds)
vtkIdType | InterpolatePosition (vtkPoints *inputPts, vtkPoints *outputPts, vtkIdList *stencil, float *weights)
## Protected Attributes
int | NumberOfSubdivisions

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkInterpolatingSubdivisionFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkButterflySubdivisionFilter, and vtkLinearSubdivisionFilter. Definition at line 61 of file vtkInterpolatingSubdivisionFilter.h.

## Constructor & Destructor Documentation

vtkInterpolatingSubdivisionFilter::vtkInterpolatingSubdivisionFilter | ( |  | ) | `[protected]`

vtkInterpolatingSubdivisionFilter::~vtkInterpolatingSubdivisionFilter | ( |  | ) | `[inline, protected]`

| Definition at line 72 of file vtkInterpolatingSubdivisionFilter.h.

## Member Function Documentation

virtual const char* vtkInterpolatingSubdivisionFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkButterflySubdivisionFilter, and vtkLinearSubdivisionFilter.

int vtkInterpolatingSubdivisionFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkButterflySubdivisionFilter, and vtkLinearSubdivisionFilter.

virtual int vtkInterpolatingSubdivisionFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkButterflySubdivisionFilter, and vtkLinearSubdivisionFilter.

vtkInterpolatingSubdivisionFilter* vtkInterpolatingSubdivisionFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkButterflySubdivisionFilter, and vtkLinearSubdivisionFilter.

void vtkInterpolatingSubdivisionFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkInterpolatingSubdivisionFilter::SetNumberOfSubdivisions | ( | int |  | ) | `[virtual]`

| Set/get the number of subdivisions.

virtual int vtkInterpolatingSubdivisionFilter::GetNumberOfSubdivisions | ( |  | ) | `[virtual]`

| Set/get the number of subdivisions.

void vtkInterpolatingSubdivisionFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

virtual void vtkInterpolatingSubdivisionFilter::GenerateSubdivisionPoints | ( | vtkPolyData * | inputDS,
|  | vtkIntArray * | edgeData,
|  | vtkPoints * | outputPts,
|  | vtkPointData * | outputPD
| ) | `[protected, pure virtual]`

| Implemented in vtkLinearSubdivisionFilter.

void vtkInterpolatingSubdivisionFilter::GenerateSubdivisionCells | ( | vtkPolyData * | inputDS,
|  | vtkIntArray * | edgeData,
|  | vtkCellArray * | outputPolys,
|  | vtkCellData * | outputCD
| ) | `[protected]`

int vtkInterpolatingSubdivisionFilter::FindEdge | ( | vtkPolyData * | mesh,
|  | vtkIdType | cellId,
|  | vtkIdType | p1,
|  | vtkIdType | p2,
|  | vtkIntArray * | edgeData,
|  | vtkIdList * | cellIds
| ) | `[protected]`

vtkIdType vtkInterpolatingSubdivisionFilter::InterpolatePosition | ( | vtkPoints * | inputPts,
|  | vtkPoints * | outputPts,
|  | vtkIdList * | stencil,
|  | float * | weights
| ) | `[protected]`

## Member Data Documentation

int vtkInterpolatingSubdivisionFilter::NumberOfSubdivisions`[protected]`

| Definition at line 81 of file vtkInterpolatingSubdivisionFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkInterpolatingSubdivisionFilter.h